be.ehealth.businessconnector.mycarenet.attestv2.session

## Interface AttestService

- All Known Implementing Classes:
    AttestServiceImpl

      public interface AttestService

  The Business Connector for General Practitioners provides a simplified interface to access the eAttest service by providing the following functionality: it retrieves the token from the session Default impl : `AttestServiceImpl` Factory : `AttestSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelAttestationResponse` | `cancelAttestation(SendRequestType request)` Cancel the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
    `SendAttestationResponse` | `sendAttestation(SendRequestType request)` Sends the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)

- - ### Method Detail

    - #### sendAttestation

          SendAttestationResponse sendAttestation(SendRequestType request)
                                           throws AttestBusinessConnectorException,
                                                  TechnicalConnectorException

      Sends the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
      Parameters:
        `request` - the consultation asserter
      Returns:
        the WS response
      Throws:
        `AttestBusinessConnectorException`
        `TechnicalConnectorException`

    - #### cancelAttestation

          CancelAttestationResponse cancelAttestation(SendRequestType request)
                                               throws AttestBusinessConnectorException,
                                                      TechnicalConnectorException

      Cancel the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
      Parameters:
        `request` - the consultation asserter
      Returns:
        the WS response
      Throws:
        `AttestBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.